orte/mca/pls/bproc_orted/pls_bproc_orted_component.c File Reference.TH "orte/mca/pls/bproc_orted/pls_bproc_orted_component.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/pls/bproc_orted/pls_bproc_orted_component.c \- Takes care of the component stuff for the MCA. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'opal/mca/base/mca_base_param.h'\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'orte/mca/pls/pls.h'\fP
.br
\fC#include 'orte/util/proc_info.h'\fP
.br
\fC#include 'pls_bproc_orted.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_pls_bproc_orted_component_open\fP (void)"
.br
.RI "\fIOpens the pls_bproc component, setting all the needed mca parameters and finishes setting up the component struct. \fP"
.ti -1c
.RI "\fBorte_pls_base_module_t\fP * \fBorte_pls_bproc_orted_init\fP (int *priority)"
.br
.RI "\fIInitializes the module. \fP"
.ti -1c
.RI "int \fBorte_pls_bproc_orted_component_close\fP (void)"
.br
.RI "\fIComponent close function. \fP"
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBorte_pls_bproc_orted_component_t\fP \fBmca_pls_bproc_orted_component\fP"
.br
.RI "\fIThe bproc_orted component data structure used to store all the relevent data about this component. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Takes care of the component stuff for the MCA. 


.SH "Function Documentation"
.PP 
.SS "\fBorte_pls_base_module_t\fP* orte_pls_bproc_orted_init (int * priority)"
.PP
Initializes the module. 
.PP
We do not want to run unless we are not the seed, bproc is running, and we are not on the master node. 
.SH "Variable Documentation"
.PP 
.SS "\fBorte_pls_bproc_orted_component_t\fP \fBmca_pls_bproc_orted_component\fP"
.PP
\fBInitial value:\fP
.PP
.nf
 {
    {
    
    {
        
        ORTE_PLS_BASE_VERSION_1_0_0,
        
        'bproc_orted',
        ORTE_MAJOR_VERSION,
        ORTE_MINOR_VERSION,
        ORTE_RELEASE_VERSION,
        
        orte_pls_bproc_orted_component_open,
        orte_pls_bproc_orted_component_close
    },
    
    {
        
        false
    },
    
    orte_pls_bproc_orted_init
    }
}
.fi
The bproc_orted component data structure used to store all the relevent data about this component. 
.PP
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
